Subject: Re: [PATCH] tcp: Increment of LINUX_MIB_LISTENOVERFLOWS in tcp_v4_conn_request()

From: Nivedita Singhvi <[email-masked]>
Date: Thu, 24 Jan 2013 23:41:54 -0800

On 01/24/2013 11:29 PM, Vijay Subramanian wrote:
> On 24 January 2013 23:03, Nivedita Singhvi <[email-masked]> wrote:
>> We drop a connection request if the accept backlog, syn queue are full when processing reaches tcp_v4_conn_request(). Increment the appropriate counter so this isn't silent, for accurate stats and help in debugging.
>>
> 
> Commit message seems misleading. syn queue is not really full at this
> point. It just has more than enough entries.

Er, good point. I should have said "sufficiently full" or "warm 
enough to warrant starting drops" - hope I'm not confusing 
things further, am I? DaveM, would you like me to resend, if you're 
picking this up? 

thanks,
Nivedita